---
title: "#bungame"
author: ~khuxkm
description: the bun game in the #bungame channel
published: true
category:
 - main
---

The bun game is pretty simple. In contrast to the duck game, in which the goal is to just be the first to befriend/trap the duck, in the bun game, you want to still be the one to befriend the bun, but you want to wait. The longer you wait to befriend the bun, the more points you earn.

## How to Play

When you join #bungame, there might already be a bun around. Use the `-peek` command to see if there's one around:

```
17:03 <~khuxkm> -peek
17:03 < bunbot> khuxkm: If you were to befriend the bun right now, it would have waited 616.22 second(s), and would therefore be worth 3.26 point(s).
```

The goal is to wait as long as possible while still befriending the bun. The amount of points you earn increases exponentially, starting at 1 point for an immediate befriend and increasing to 1000 points at one hour. When you've decided to befriend the bun, use either `-befriend`, `-bef`, or `-hug`.

```
17:06 <~khuxkm> -bef
17:06 < bunbot> khuxkm: This bun has waited 815.32 second(s), and is therefore worth 4.78 point(s)!
```

You can check your stats with the `-stats` command.

```
17:09 <~khuxkm> -stats
17:09 < bunbot> khuxkm: You have befriended 9 buns. Your average befriend time is 153.06, and your current score is 14.20.
```

You can check your place on the top 10 leaderboards with the `-top10` command.

```
17:10 <~khuxkm> -top10
17:10 < bunbot> khuxkm: Top 10 in score: khuxkm|lounge (14.20), acdw (8.65), brendanjw (6.35)
17:10 <~khuxkm> -top10 count
17:10 < bunbot> khuxkm: Top 10 in count: khuxkm|lounge (9), acdw (5), brendanjw (1)
17:10 <~khuxkm> -top10 time
17:10 < bunbot> khuxkm: Top 10 in time: brendanjw (963.06), acdw (227.49), khuxkm|lounge (153.06)
```

Buns have a 1/4 chance to spawn on any message sent when there isn't an active bun.

## Command Reference

 - `-befriend`, `-bef`, `-hug` - befriend the current bun.
 - `-stats` - get your stats (score, count, and time)
 - `-top10 [<score/count/time>]` - shows the top 10 in any of the stats (defaults to score)
 - `-peek` - see how long the current bun has been waiting (if there is one)
